Subject: Re: [PATCH 4/5] builtin/repo: find commit with most parents

From: Junio C Hamano <[email-masked]>
Date: Tue, 03 Feb 2026 15:33:35 -0800

"Kristoffer Haugsbakk" <[email-masked]> writes:

> By the way: why did this project stop doing 3+ parent merges?

If you mean Git, the primary reason is because I do not see much
value in Octopus merges, which is very hostile to bisection.  It was
"interesting" to view them in gitk while the tool was young and
nobody has seen such a structure, but curiosity rapidly wanes ;-).